/*
********************************************************************************
**
** File: Preferences.h
**
** Authors: Cary Farrier (CF)
** 			George Warner (GW)
**
** Description:
**
**	Prefs file routines.
**
********************************************************************************
**
** Revision History
**
** 17-Oct-96	CF	Created.
** 10-Mar-99	GW	Converted for CPU_Meter
**
********************************************************************************
*/

#pragma once
#ifndef __Preferences__
#define __Preferences__

#include <Types.h>

/*
********************************************************************************
** constants
********************************************************************************
*/

#define kPrefsType		'pref'
#define kPrefsID		128
#define kPrefsName		"\pCPU_Meter prefs"
#define kPrefsVersion	5

/*
********************************************************************************
** data types
********************************************************************************
*/

typedef struct Preferences
{
	UInt32 fVersion;
	Rect fWindowRect;
	UInt32 fInterval;
	Boolean fShowProcID;
	Boolean fShowTaskID;
	Boolean fShowName;
	Boolean fShowQueue;
	Boolean fShowCPUTime;
	Boolean fShowDeltaCPU;
	Boolean fShowPercent;
	Boolean fShowPreemptions;
	Boolean fShowDeltaPreemptions;
	Boolean fShowWeight;
	Boolean fShowBar;
	Boolean fShowSubTotals;
	Boolean fShowTotals;
} Preferences, * PrefPtr, ** PrefHdl;

/*
********************************************************************************
** prototypes
********************************************************************************
*/

OSStatus ReadPreferences(Preferences* outPrefs);
OSStatus WritePreferences(Preferences* outPrefs);

#endif /* __Preferences__ */

